Get automations

Searches the Automation collection.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

containsstringOptional
The value for a contains query. if the property with the key of containsField does not have a value that contains this string, then filter out the document
containsFieldstringOptional
The field to run a contains query on
equalsstringOptional
The value for an equals query. if the property with the key of equalsField does not have a value that equals this string, then filter out the document
equalsFieldstringOptional
The field to run an equals query on
startsWithstringOptional
The value for a startsWith query. if the property with the key of startsWithField does not have a value that starts with this string, then filter out the document
startsWithFieldstringOptional
The field to run a startsWith query on
limitintegerOptional>=0Defaults to 25
Number of results to return. Used for pagination.
skipintegerOptional>=0Defaults to 0
Number of results to skip. Used for pagination.
orderenumOptionalDefaults to 1

The sort direction: 1 for ascending or -1 for descending.

Allowed values:
sortenumOptionalDefaults to name
Field to sort by. Default is name.
Allowed values:

Response

The Automations that matched the search query.
messagestring

A human-readable message summarizing the result of the operation

datalist of any
Any successfully retrieved information related to the request.
metadataobject

Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.

Errors

500
Internal Server Error